# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/golang/appengine
%global goipath         google.golang.org/appengine
%global forgeurl        https://github.com/golang/appengine
Version:                1.6.7

%gometa

%global goipaths0       google.golang.org/appengine
%global goipathsex0     google.golang.org/appengine/blobstore

%if %{without bootstrap}
%global goipaths1       google.golang.org/appengine/blobstore
%endif

%global common_description %{expand:
This package supports the Go runtime on App Engine standard. It provides APIs
for interacting with App Engine services.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go app engine packages

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(golang.org/x/net/context)
%if %{without bootstrap}
BuildRequires:  golang(golang.org/x/text/encoding/htmlindex)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -t blobstore -d internal
%else
%gocheck -d internal
%endif
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Dec 23 09:04:58 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.7-1
- Update to 1.6.7
- Close: rhbz#1888074

* Wed Aug 05 15:39:34 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.6-1
- Update to 1.6.6

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.5.0-2
- Add Obsoletes for old name

* Tue Apr 16 16:04:07 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Release 1.5.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 27 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Update to release 1.2.0

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.0.0-4
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-2
- Upload glide files

* Thu May 03 2018 Ed Marshall <esm@logic.net> - 1.0.0-1
- Bump to upstream 1.0.0 release
- Add golang-github-golang-appengine package with build/deploy tools

* Wed Mar 07 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.16.git4f7eeb5
- Update to spec 3.0

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.20160820git4f7eeb5
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.git4f7eeb5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git4f7eeb5
- Bump to upstream 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
  related: #1249049

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git6a43653
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git6a43653
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git6a43653
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.9.git6a43653
- Bump to upstream 6a436539be38c296a8075a871cc536686b458371
  related: #1249049

* Thu Dec 15 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.8.git1c3fdc5
- Polish the spec file
  related: #1249049

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git1c3fdc5
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git1c3fdc5
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git1c3fdc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git1c3fdc5
- Update to spec-2.1
  related: #1249049

* Fri Jul 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git1c3fdc5
- Update spec file to spec-2.0
  resolves: #1249049

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git1c3fdc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 22 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git1c3fdc5
- First package for Fedora
  resolves: #1185082

